##  for Mageia 9  ##

# turn off debuginfo package
%define debug_package %{nil}

Name:    showimage
Summary: ShowImage is a simple KDE Plasma 5 based image viewer
Version: 1.13
Release: 1.np9
License: GPLv3
Group:   Graphics/Viewers
URL:     https://store.kde.org/p/1126798

Source0: %{name}-%{version}.tar.xz
Source1: showimage-mga.desktop

BuildRoot: %{_tmppath}/%{name}-%{version}-build
BuildRequires: kf5-macros
BuildRequires: cmake 
BuildRequires: %{_lib}kf5config-devel
BuildRequires: %{_lib}kf5coreaddons-devel
BuildRequires: %{_lib}kf5configwidgets-devel
BuildRequires: %{_lib}kf5i18n-devel
BuildRequires: %{_lib}kf5service-devel
BuildRequires: %{_lib}kf5widgetsaddons-devel
BuildRequires: %{_lib}kf5xmlgui-devel
BuildRequires: %{_lib}kf5kio-devel
BuildRequires: %{_lib}kf5doctools-devel
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5widgets-devel
BuildRequires: %{_lib}kf5purpose-devel
BuildRequires: %{_lib}kf5kipi-devel
BuildRequires: qtbase5-common-devel

%description
ShowImage is a simple KDE based image viewer using the maximum space inside its window without cluttering the window with menubar, toolbar or statusbar.
You simply act via the keyboard (rotate, zoom, etc.) or via the context menu (right mouse click).
You can view a single image or browse through a full directory, optionally in fullscreen mode.


%prep
%setup -q


%build
%cmake
%cmake_build


%install
rm -rf $RPM_BUILD_ROOT
%cmake_install

cp -f %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/applications/showimage.desktop

%find_lang %{name}


%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING Changelog TODO
%{_docdir}/HTML/*
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/*


%changelog
* Sat Jan 04 2025 tomcat <> 1.13-1.np9
- 1.13

* Fri Mar 29 2024 tomcat <> 1.12-2.np9
- fix License
- fix %%files

* Thu Mar 28 2024 tomcat <> 1.12-1.np9
- 1.12
- add BR:%%{_lib}kf5purpose-devel
- add BR:%%{_lib}kf5kipi-devel
- add Source1:showimage-mga.desktop

* Sun Feb 26 2023 tomcat <> 1.10-2.np9
- build for Mageia 9

* Fri Jan 29 2021 tomcat <> 1.10-1.nora8
- build for Mageia 8

